org.apache.solr.client.solrj.cloud.autoscaling

## Class AutoScalingConfig.ActionConfig

- java.lang.Object
- - org.apache.solr.client.solrj.cloud.autoscaling.AutoScalingConfig.ActionConfig

All Implemented Interfaces:
  MapSerializable, MapWriter

Enclosing class:
  AutoScalingConfig

    public static class AutoScalingConfig.ActionConfig
    extends Object
    implements MapWriter

Bean representation of trigger action configuration.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Field Summary

Fields
`String` `actionClass` Class name of action implementtion.
`String` `name` Action name.
`Map<String,Object>` `properties` Additional action properties.

### Constructor Summary

Constructors
Constructor and Description
`ActionConfig(Map<String,Object> properties)` Construct from a JSON map.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`void` `writeMap(MapWriter.EntryWriter ew)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`toMap`

### Field Detail

#### name

    public final String name

Action name.

#### actionClass

    public final String actionClass

Class name of action implementtion.

#### properties

    public final Map<String,Object> properties

Additional action properties.

### Constructor Detail

#### ActionConfig

    public ActionConfig(Map<String,Object> properties)

Construct from a JSON map.

Parameters:
  `properties` - JSON map with properties - selected properties will be used for setting the values of `name` and `actionClass`.

### Method Detail

#### writeMap

    public void writeMap(MapWriter.EntryWriter ew)
                  throws IOException

Specified by:
  `writeMap` in interface `MapWriter`
Throws:
  `IOException`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`